# na_elementsw_snapshot – NetApp Element Software Manage Snapshots

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create, Modify or Delete Snapshot on Element OS Cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account_id - / required |  | Account ID or Name of Parent/Source Volume.

enable_remote_replication
boolean

Choices:
- no
- yes

Flag, whether to replicate the snapshot created to a remote replication cluster.
To enable specify 'true' value.

expiration_time - |  | The date and time (format ISO 8601 date string) at which this snapshot will expire.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - |  | Name of new snapshot create. If unspecified, date and time when the snapshot was taken is used.
password - / required |  | Element OS access account password aliases: pass
retention - |  | Retention period for the snapshot. Format is 'HH:mm:ss'.
snap_mirror_label - |  | Label used by SnapMirror software to specify snapshot retention policy on SnapMirror endpoint.
src_snapshot_id - |  | ID or Name of an existing snapshot. Required when `state=present`, to modify snapshot properties. Required when `state=present`, to create snapshot from another snapshot in the volume. Required when `state=absent`, to delete snapshot.
src_volume_id - / required |  | ID or Name of active volume.

state
-

Choices:
- present ←
- absent

Whether the specified snapshot should exist or not.

username - / required |  | Element OS access account user-name aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create snapshot
      tags:
      - elementsw_create_snapshot
      na_elementsw_snapshot:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        src_volume_id: 118
        account_id: sagarsh
        name: newsnapshot-1

    - name: Modify Snapshot
      tags:
      - elementsw_modify_snapshot
      na_elementsw_snapshot:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        src_volume_id: sagarshansivolume
        src_snapshot_id: test1
        account_id: sagarsh
        expiration_time: '2018-06-16T12:24:56Z'
        enable_remote_replication: false

    - name: Delete Snapshot
      tags:
      - elementsw_delete_snapshot
      na_elementsw_snapshot:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        src_snapshot_id: deltest1
        account_id: sagarsh
        src_volume_id: sagarshansivolume

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.